(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@sentry/angular-ivy')) :
    typeof define === 'function' && define.amd ? define('@pv-frontend/pv-custom-error-handling', ['exports', '@angular/core', '@sentry/angular-ivy'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global["pv-frontend"] = global["pv-frontend"] || {}, global["pv-frontend"]["pv-custom-error-handling"] = {}), global.ng.core, global.Sentry));
})(this, (function (exports, i0, Sentry) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);
    var Sentry__namespace = /*#__PURE__*/_interopNamespace(Sentry);

    // import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";
    var GlobalErrorHandler = /** @class */ (function () {
        function GlobalErrorHandler(environment) {
            this.environment = environment;
            Sentry__namespace.init({
                dsn: this.environment.sentryDNS,
                integrations: [
                    new Sentry__namespace.BrowserTracing({
                        routingInstrumentation: Sentry__namespace.routingInstrumentation,
                    }),
                    new Sentry__namespace.Replay(),
                ],
                replaysOnErrorSampleRate: 1.0,
                replaysSessionSampleRate: 0.1,
                tracesSampleRate: 1.0,
            });
        }
        GlobalErrorHandler.prototype.handleError = function (error) {
            if (error.error instanceof ErrorEvent) {
                this.captureMessage("Error: " + error.error.message);
            }
            else {
                this.captureException(error);
            }
        };
        GlobalErrorHandler.prototype.captureException = function (error) {
            Sentry__namespace.captureException(error);
        };
        GlobalErrorHandler.prototype.captureMessage = function (message) {
            Sentry__namespace.captureMessage(message);
        };
        return GlobalErrorHandler;
    }());
    GlobalErrorHandler.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0__namespace, type: GlobalErrorHandler, deps: [{ token: 'env' }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    GlobalErrorHandler.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0__namespace, type: GlobalErrorHandler });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0__namespace, type: GlobalErrorHandler, decorators: [{
                type: i0.Injectable
            }], ctorParameters: function () {
            return [{ type: undefined, decorators: [{
                            type: i0.Inject,
                            args: ['env']
                        }] }];
        } });

    /*
     * Public API Surface of pv-custom-error-handling
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.GlobalErrorHandler = GlobalErrorHandler;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=pv-frontend-pv-custom-error-handling.umd.js.map
