import * as i0 from '@angular/core';
import { Injectable, Inject } from '@angular/core';
import * as Sentry from '@sentry/angular-ivy';

// import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";
class GlobalErrorHandler {
    constructor(environment) {
        this.environment = environment;
        Sentry.init({
            dsn: this.environment.sentryDNS,
            integrations: [
                new Sentry.BrowserTracing({
                    routingInstrumentation: Sentry.routingInstrumentation,
                }),
                new Sentry.Replay(),
            ],
            replaysOnErrorSampleRate: 1.0,
            replaysSessionSampleRate: 0.1,
            tracesSampleRate: 1.0,
        });
    }
    handleError(error) {
        if (error.error instanceof ErrorEvent) {
            this.captureMessage(`Error: ${error.error.message}`);
        }
        else {
            this.captureException(error);
        }
    }
    captureException(error) {
        Sentry.captureException(error);
    }
    captureMessage(message) {
        Sentry.captureMessage(message);
    }
}
GlobalErrorHandler.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0, type: GlobalErrorHandler, deps: [{ token: 'env' }], target: i0.ɵɵFactoryTarget.Injectable });
GlobalErrorHandler.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0, type: GlobalErrorHandler });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.1.5", ngImport: i0, type: GlobalErrorHandler, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: undefined, decorators: [{
                    type: Inject,
                    args: ['env']
                }] }]; } });

/*
 * Public API Surface of pv-custom-error-handling
 */

/**
 * Generated bundle index. Do not edit.
 */

export { GlobalErrorHandler };
//# sourceMappingURL=pv-frontend-pv-custom-error-handling.js.map
